Name:           python-metaapi-cloud-copyfactory-sdk
Version:        11.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python SDK for SDK for CopyFactory trade copying API. Can copy trades both between MetaTrader 5 (MT5) and MetaTrader 4 (MT4). (https://metaapi.cloud)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/metaapi/metaapi-copyfactory-python-sdk
Source:         %{pypi_source metaapi_cloud_copyfactory_sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'metaapi-cloud-copyfactory-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-metaapi-cloud-copyfactory-sdk
Summary:        %{summary}

%description -n python3-metaapi-cloud-copyfactory-sdk %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-metaapi-cloud-copyfactory-sdk test


%prep
%autosetup -p1 -n metaapi_cloud_copyfactory_sdk-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-metaapi-cloud-copyfactory-sdk -f %{pyproject_files}


%changelog
%autochangelog